
QGIS Application - Bug report #8450

Selected item not marked blue in attribute window

2013-08-11 03:03 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17219

Description

WHen a object is selected with ex. select single feature tool and I open the attritbute window the selected item is not marked blue as

normal selected items

History

#1 - 2013-08-11 03:05 PM - Nathan Woodrow

Not confirmed here http://i.imgur.com/F8Pf6SU.png

#2 - 2013-08-11 03:09 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Operating System deleted (Windows and MAC)

I also does not confirm on Linux.

#3 - 2013-08-11 03:15 PM - Lene Fischer

- File Select.swf added

#4 - 2013-08-11 03:18 PM - Giovanni Manghi

In your case are (light) grey, as in my case (on Windows). It depends on the desktop theme you are using.

#5 - 2013-08-11 03:23 PM - Lene Fischer

If I select manually in the attribute window it turns blue as usual. So the difference confuse.

Please see in this link [[http://screencast.com/t/9mb0NpfGh]]

Regards

Lene

#6 - 2013-08-11 03:34 PM - Nathan Woodrow

This is because Windows has a different style for Active with Focus and Active without Focus.  If you click in the attribute table you are giving it focus so
http://screencast.com/t/9mb0NpfGh


windows colours it blue but if it doesn't have focus it uses the grey colour.

#7 - 2013-08-11 03:36 PM - Lene Fischer

But I activate and focus by Move selection to top

Regards

Lene

#8 - 2014-10-12 09:54 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

I have tested again on a clean Windows 7 installation, with QGIS master and several desktop themes (the ones shipped with Windows 7) and it always

seems to work as expected. Please reopen if necessary.

Files

Select.swf 1.42 MB 2013-08-11 Lene Fischer
